# rmon

`rmon` monitors unreachable routes installed by `babeld`.

Does _not_ need any special permissions to run.

## howto

### install & run

```shell
$ git clone https://git.freifunk-franken.de/lemmi/rmon
$ cd rmon
$ go get -v
$ go run .
```

### open webbrowser

http://localhost:8080/

## Note

`babeld` can spew out massive amounts of route changes that can fill the
netlink socket. `rmon` tries to allocate a 16MB receive buffer, which seems to
be enough for the moment. For this to work check `/proc/sys/net/core/rmem_max`
to be more than 16MB (16777216).

### Set receive buffer size temporarily

Do one of the following:

```shell
# echo 16777216 > /proc/sys/net/core/rmem_max
```

```shell
# sysctl -w net.core.rmem_max=16777216
```

### Set receive buffer pemanently

Add the following line to `/etc/sysctl.conf`:

```
net.core.rmem_max = 16777216
```

and run

```shell
# sysctl -p
```



